## ros-lunar-xpp-states 1.0.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xpp_states)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED)
find_package(Eigen3 REQUIRED)


###################################
## catkin specific configuration ##
###################################
catkin_package(
  INCLUDE_DIRS include ${EIGEN3_INCLUDE_DIR}
  LIBRARIES ${PROJECT_NAME}
)

###########
## Build ##
###########
## Specify additional locations of header files
include_directories(
  include
  ${EIGEN3_INCLUDE_DIR}
)

add_library(${PROJECT_NAME}
  src/state.cc
  src/joints.cc
  src/robot_state_cartesian.cc
  src/robot_state_joint.cc
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############
# Mark library for installation
install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark header files for installation
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-lunar-xpp-states (1.0.10-0xenial) xenial; urgency=high

  * Improve docs (#8 <https://github.com/leggedrobotics/xpp/issues/8>)
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-lunar-xpp-states (1.0.9-0xenial) xenial; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Mon, 09 Jul 2018 22:00:00 -0000

ros-lunar-xpp-states (1.0.8-0xenial) xenial; urgency=high

  * avoid IK segfault for biped/hyq when not enough ee positions sent
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Fri, 06 Jul 2018 22:00:00 -0000

ros-lunar-xpp-states (1.0.7-0xenial) xenial; urgency=high

  * add names to biped and quadruped ids
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Mon, 02 Jul 2018 22:00:00 -0000

ros-lunar-xpp-states (1.0.6-0xenial) xenial; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Tue, 17 Apr 2018 22:00:00 -0000

ros-lunar-xpp-states (1.0.5-0xenial) xenial; urgency=high

  * modernize CMake files
  * use default keyword for empty destructors
  * use default BSD license
  * move terrain types to towr_ros
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Wed, 31 Jan 2018 23:00:00 -0000

ros-lunar-xpp-states (1.0.4-0xenial) xenial; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Tue, 02 Jan 2018 23:00:00 -0000

ros-lunar-xpp-states (1.0.3-0xenial) xenial; urgency=high

  * removed xpp_ros_conversions (now in xpp_states)
  * 1.0.2
  * update changelog
  * Merge pull request #1 from mikaelarguedas/missing_includes
    add missing std includes
  * add missing std includes
  * Contributors: Alexander W Winkler, Mikael Arguedas

 -- Alexander W. Winkler <winklera@ethz.ch>  Thu, 02 Nov 2017 23:00:00 -0000

ros-lunar-xpp-states (1.0.2-0xenial) xenial; urgency=high

  * Merge pull request #1 <https://github.com/leggedrobotics/xpp/issues/1> from mikaelarguedas/missing_includes
    add missing std includes
  * add missing std includes
  * Contributors: Alexander W Winkler, Mikael Arguedas

 -- Alexander W. Winkler <winklera@ethz.ch>  Fri, 27 Oct 2017 22:00:00 -0000

ros-lunar-xpp-states (1.0.1-0xenial) xenial; urgency=high



 -- Alexander W. Winkler <winklera@ethz.ch>  Thu, 26 Oct 2017 22:00:00 -0000

ros-lunar-xpp-states (1.0.0-0xenial) xenial; urgency=high

  * removed robot specific bag files from xpp_msgs
  * included install space in CMakeLists.txt
  * changed catkin pkg dependencies to roscpp
  * formatting
  * Added license to files and giving credit to contributors.
  * removed some unneccessary dependencies.
  * cleaned up package.xml and CMakeLists.txt files
  * cleaned up endeffector and joint representation
  * showed close connection of mono/bi/quad to hyq
  * made xpp_vis robot independent. Added sample hopper executables
  * removed biped and quadruped joint identifier
  * added xpp_states
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Wed, 25 Oct 2017 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-xpp-states
Section: misc
Priority: extra
Maintainer: Alexander W. Winkler <alexander.w.winkler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-lunar-catkin
Homepage: http://github.com/leggedrobotics/xpp
Standards-Version: 3.9.2

Package: ros-lunar-xpp-states
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev
Description: Common definitions (positions, velocities, angular angles, angular rates) and robot definitions in Cartesian and joint state used in the Xpp Motion Framework, as well as conversions to/from xpp_msgs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-xpp-states//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
